Disable simplecov on Ruby 1.8.7
[puppet_vcsrepo.git] / spec / spec_helper.rb
index acfae0c..ccd305b 100644 (file)
@@ -1,10 +1,13 @@
 require 'puppetlabs_spec_helper/module_spec_helper'
 require 'puppetlabs_spec_helper/module_spec_helper'
-require 'simplecov'
 require 'support/filesystem_helpers'
 require 'support/fixture_helpers'
 
 require 'support/filesystem_helpers'
 require 'support/fixture_helpers'
 
-SimpleCov.start do
-    add_filter "/spec/"
+# SimpleCov does not run on Ruby 1.8.7
+unless RUBY_VERSION.to_f < 1.9
+  require 'simplecov'
+  SimpleCov.start do
+    add_filter '/spec/'
+  end
 end
 
 RSpec.configure do |c|
 end
 
 RSpec.configure do |c|